package com.platform2easy.genesis.security.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class CorsConfig {

    @Bean
    public WebMvcConfigurer corsConfigurer() {
        return new WebMvcConfigurer() {
            @Override
            public void addCorsMappings(CorsRegistry registry) {
                registry.addMapping("/**")
                        .allowedOriginPatterns("*") // aceita qualquer origem
                        .allowedMethods("*")        // aceita qualquer método
                        .allowedHeaders("*")        // aceita qualquer header
                        .allowCredentials(false);   // importante para não gerar conflito
            }
        };
    }
}

